package com.zd.laboratory.domain.vo;

import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 预案首页详情列表 lab_risk_plan
 *
 * @author cyl
 * @date 2022-2-18
 */
@ApiModel("预案首页详情列表")
public class LabRiskPlanListVO extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("预案发生时间")
    private String createTimeStr;

    @ApiModelProperty("安全分级")
    private String classifiedName;

    @ApiModelProperty("安全分类")
    private String typeName;

    @ApiModelProperty("风险内容JSON")
    private String sensorJson;

    @ApiModelProperty("风险内容")
    private String sesorContent;

    @ApiModelProperty("实验室名称")
    private String subjectName;

    @ApiModelProperty("院系名称")
    private String groupDeptName;

    @ApiModelProperty("声光报警")
    private Integer alarmInfo;

    @ApiModelProperty("电话短信")
    private Integer phoneInfo;

    @ApiModelProperty("通风")
    private Integer windInfo;

    @ApiModelProperty("电源")
    private Integer powerInfo;

    @ApiModelProperty("预案结束时间")
    private String overTime;

    public String getCreateTimeStr() {
        return createTimeStr;
    }

    public void setCreateTimeStr(String createTimeStr) {
        this.createTimeStr = createTimeStr;
    }

    public String getClassifiedName() {
        return classifiedName;
    }

    public void setClassifiedName(String classifiedName) {
        this.classifiedName = classifiedName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getSensorJson() {
        return sensorJson;
    }

    public void setSensorJson(String sensorJson) {
        this.sensorJson = sensorJson;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getGroupDeptName() {
        return groupDeptName;
    }

    public void setGroupDeptName(String groupDeptName) {
        this.groupDeptName = groupDeptName;
    }


    public String getSesorContent() {
        return sesorContent;
    }

    public void setSesorContent(String sesorContent) {
        this.sesorContent = sesorContent;
    }

    public Integer getAlarmInfo() {
        return alarmInfo;
    }

    public void setAlarmInfo(Integer alarmInfo) {
        this.alarmInfo = alarmInfo;
    }

    public Integer getPhoneInfo() {
        return phoneInfo;
    }

    public void setPhoneInfo(Integer phoneInfo) {
        this.phoneInfo = phoneInfo;
    }

    public Integer getWindInfo() {
        return windInfo;
    }

    public void setWindInfo(Integer windInfo) {
        this.windInfo = windInfo;
    }

    public Integer getPowerInfo() {
        return powerInfo;
    }

    public void setPowerInfo(Integer powerInfo) {
        this.powerInfo = powerInfo;
    }

    public String getOverTime() {
        return overTime;
    }

    public void setOverTime(String overTime) {
        this.overTime = overTime;
    }
}
